package com.sy.coinage.core.constants;

/**
 * -响应code msg枚举类
 *
 * @return
 */
public enum ResponseEnum {

    SUCCESS(0, "操作成功"), FAILED(-1, "系统错误"), OBJECT_NULL(1001, "对象不存在"), QUERY_PARAM_INVALID(4004, "请求的参数错误"), SIG_ERROR(
                    4001, "签名错误"), TOKEN_ERROR(4002, "Token 错误"), AUTH_CODE_ERROR(5001, "验证码错误"), USERNAME_ERROR(5002,
                                    "用户名错误"), PWD_ERROR(5003, "密码错误"), STATUS_ERROR(5004, "帐号已禁用"), MOBILE_EXIST(5005,
                                                    "手机号已存在"), USERNAME_EXIST(5006,
                                                                    "帐号已存在"), NO_PERMISSION(6001, "暂无操作权限");

    private final int value;

    private final String msg;

    ResponseEnum(int value, String msg) {
        this.value = value;
        this.msg = msg;
    }

    public int value() {
        return this.value;
    }

    public String getMsg() {
        return this.msg;
    }

}
